clear;
clc;

clear mex;

if ispc
    mex -v -R2018a ...
        -I../../main/core/ ...
        -I../../main/mcdrec/ ...
        -Ic:\local\boost_1_84_0\ ...
        mcdmex.mex.cpp ...
        -output mcdmex.mexw64 ...
        ../../main/mcdrec/mcd_device.cpp ...
        ../../main/mcdrec/mcd_packet.cpp ...
        ../../main/mcdrec/mcd_control_packet.cpp ...
        ../../main/core/devices.cpp
elseif isunix
    mex -v -R2018a ...
        CXXFLAGS='$CXXFLAGS -Wall -I../../main/core/ -I../../main/mcdrec/' ...
        mcdmex.mex.cpp ...
        -output mcdmex.mexa64 ...
        ../../main/mcdrec/mcd_device.cpp ...
        ../../main/mcdrec/mcd_packet.cpp ...
        ../../main/mcdrec/mcd_control_packet.cpp ...
        ../../main/core/devices.cpp
else
end
